Loading...
Searching...
No Matches
OgreShaderFunction.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreShaderParameter.h"`
`#include "OgreShaderFunctionAtom.h"`

## Classes

class | Ogre::RTShader::Function
| A class that represents a shader based program function. More...
class | Ogre::RTShader::FunctionStageRef
| represents a FFPShaderStage, part of a Function More...

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Typedefs

typedef ShaderFunctionList::const_iterator | Ogre::RTShader::ShaderFunctionConstIterator
typedef ShaderFunctionList::iterator | Ogre::RTShader::ShaderFunctionIterator
typedef std::vector< Function * > | Ogre::RTShader::ShaderFunctionList